URL structure
{localeCode} is a supported locale code.
Supported methods and overview
PUT- used to reset a locale from a custom internationalization (i18n) bundle (which had been uploaded to the Covata Platform’s Access Service) back to its built in version.
This method takes no parameters.
Detailed description
This API endpoint resets a locale from a custom i18n bundle (specified by{localCode}), which had been uploaded to the Covata Platform’s Access Service) back to its built in version.
- This endpoint can only be called on locales with existing i18n bundles that are built in to the Covata Platform.
- Any Covata users utilizing the locale of this custom i18n bundle (which they would have chosen through Safe Share) will automatically be reverted to use the existing i18n bundle of the same locale, when the bundle is reset.
Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide):- System administrator
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
